Create Video Request Link
curl --request POST \
--url https://app.videosupport.io/api/v1/video_request_links \
--header 'Access-Token: <api-key>' \
--header 'Content-Type: application/json' \
--data '{}'import requests
url = "https://app.videosupport.io/api/v1/video_request_links"
payload = {}
headers = {
"Access-Token": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Access-Token': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({})
};
fetch('https://app.videosupport.io/api/v1/video_request_links', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"video_request_link": {
"url": "https://app.videosupport.io/r/abd-def-ghi",
"external_key": "abc-def-ghi",
"external_parameters": {},
"id": "f98a1fae-6a4c-43c3-bf16-example12345"
},
"api_version": "v1"
}{
"errors": [
"Error message 1",
"Error message 2"
]
}Endpoints
Create Video Request Link
Generates a unique video request link with an empty request body or external parameters
POST
/
api
/
v1
/
video_request_links
Create Video Request Link
This endpoint generates a unique video request link. The reponse contains the link.
You can also add
external_parameters to the body of the POST request (such as conversation ID, user ID, e-mail, etc.).
Those will be fetched and added to the webhook notification once a video has been recorded.Authorizations
Body
application/json
Empty request body to create a video request link
The body is of type object.
Response
Video request link successfully created
⌘I